Loading...
Searching...
No Matches
pcl::LINEMODDetection Struct Reference

Represents a detection of a template using the LINEMOD approach. More...

`#include <pcl/recognition/linemod.h>`

## Public Member Functions

| LINEMODDetection ()=default
| Constructor.

## Public Attributes

int | x {0}
| x-position of the detection.
int | y {0}
| y-position of the detection.
int | template_id {0}
| ID of the detected template.
float | score {0.0f}
| score of the detection.
float | scale {1.0f}
| scale at which the template was detected.

## Detailed Description

Represents a detection of a template using the LINEMOD approach.

Author
  Stefan Holzer

Definition at line 304 of file linemod.h.

## Constructor & Destructor Documentation

## LINEMODDetection()

pcl::LINEMODDetection::LINEMODDetection | ( |  | ) |

default

Constructor.

## Member Data Documentation

## scale

float pcl::LINEMODDetection::scale {1.0f}

scale at which the template was detected.

Definition at line 318 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

## score

float pcl::LINEMODDetection::score {0.0f}

score of the detection.

Definition at line 316 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

## template_id

int pcl::LINEMODDetection::template_id {0}

ID of the detected template.

Definition at line 314 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

## x

int pcl::LINEMODDetection::x {0}

x-position of the detection.

Definition at line 310 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

## y

int pcl::LINEMODDetection::y {0}

y-position of the detection.

Definition at line 312 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

The documentation for this struct was generated from the following file:

- pcl/recognition/linemod.h